package com.unis.module.system.service.arealevel;

import java.util.*;
import javax.validation.*;

import com.unis.module.system.controller.admin.arealevel.vo.*;
import com.unis.module.system.dal.dataobject.arealevel.AreaLevelDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;
import com.unis.module.system.dal.dataobject.user.AdminUserDO;

/**
 * 行政区划 Service 接口
 *
 * @author 超级管理员
 */
public interface AreaLevelService {

    /**
     * 创建行政区划
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAreaLevel(@Valid AreaLevelSaveReqVO createReqVO);

    /**
     * 更新行政区划
     *
     * @param updateReqVO 更新信息
     */
    void updateAreaLevel(@Valid AreaLevelSaveReqVO updateReqVO);

    /**
     * 删除行政区划
     *
     * @param id 编号
     */
    void deleteAreaLevel(Long id);

    /**
     * 获得行政区划
     *
     * @param id 编号
     * @return 行政区划
     */

    AreaLevelDO getAreaLevel(Long id);


    /**
     * 获得行政区划分页
     *
     * @param pageReqVO 分页查询
     * @return 行政区划分页
     */
    PageResult<AreaLevelDO> getAreaLevelPage(AreaLevelPageReqVO pageReqVO);


    /**
     * 获得行政区划下拉
     *
     * @return 行政区划
     */

    List<AreaLevelDO> getAreaShengLevel();

    List<AreaLevelDO> getAreaListByParentCode(String parentCode);

    List<AreaLevelDO> getAreaLevelListAll(AdminUserDO user);
    List<AreaLevelDO> getLoginUserXzqhConcise(String areaCode);
}